JUCE: AudioData::Converter Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
AudioData::Converter Class Referenceabstract
juce_audio_basics » buffers

A base class for objects that are used to convert between two different sample formats. More...

`#include <juce_AudioDataConverters.h>`

Inheritance diagram for AudioData::Converter:

## Public Member Functions
virtual | ~Converter ()=default
virtual void | convertSamples (void *destSamples, const void *sourceSamples, int numSamples) const =0
| Converts a sequence of samples from the converter's source format into the dest format.
virtual void | convertSamples (void *destSamples, int destSubChannel, const void *sourceSamples, int sourceSubChannel, int numSamples) const =0
| Converts a sequence of samples from the converter's source format into the dest format.

## Detailed Description

A base class for objects that are used to convert between two different sample formats.

The AudioData::ConverterInstance implements this base class and can be templated, so you can create an instance that converts between two particular formats, and then store this in the abstract base class.

See also
  AudioData::ConverterInstance

## Constructor & Destructor Documentation

## ◆ ~Converter()

virtual AudioData::Converter::~Converter | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ convertSamples() [1/2]

virtual void AudioData::Converter::convertSamples | ( | void * | destSamples,
|  | const void * | sourceSamples,
|  | int | numSamples ) const
| pure virtual

Converts a sequence of samples from the converter's source format into the dest format.

Implemented in AudioData::ConverterInstance< SourceSampleType, DestSampleType >.

## ◆ convertSamples() [2/2]

virtual void AudioData::Converter::convertSamples | ( | void * | destSamples,
|  | int | destSubChannel,
|  | const void * | sourceSamples,
|  | int | sourceSubChannel,
|  | int | numSamples ) const
| pure virtual

Converts a sequence of samples from the converter's source format into the dest format.

This method takes sub-channel indexes, which can be used with interleaved formats in order to choose a particular sub-channel of the data to be used.

Implemented in AudioData::ConverterInstance< SourceSampleType, DestSampleType >.

The documentation for this class was generated from the following file:

- juce_AudioDataConverters.h